WebMonitoringAvailabilityChart
Availability of the monitored site in the last hour
web_monitoring_idintegerrequired
Id of the web monitoring (GET /api/v3/web-monitorings/{web_monitoring_id})
intervalstringrequired
Period covered by the chart, as an ISO 8601 duration: always PT1H, the last hour
Example:
PT1Hunitstringrequired
Unit of the y values: always status, a code explained in legend
Example:
statuslegend objectrequired
Codes of the y values: 0 up, 1 down (HTTP 5xx), 2 warning (HTTP 4xx)
upintegerrequired
Example:
0downintegerrequired
Example:
1warningintegerrequired
Example:
2points object[]required
Checks of the last hour, one point per check
Array [
xfloatrequired
UNIX timestamp in milliseconds
yintegerrequired
Availability status code (0 up, 1 down, 2 warning)
]
WebMonitoringAvailabilityChart
{
"web_monitoring_id": 0,
"interval": "PT1H",
"unit": "status",
"legend": {
"up": 0,
"down": 1,
"warning": 2
},
"points": [
{
"x": 0,
"y": 0
}
]
}